Package org.linphone.core

# Interface EktInfo

public interface EktInfo
Object representing all informations present in an Encrypted Key Transport
event.

## Method Summary

Modifier and Type
Method
Description
`void`
`addCipher(String to, Buffer cipher)`
Add a cipher to the chipher map.
`Dictionary`
`getCiphers()`
Get ciphers.
`Buffer`
`getCspi()`
Get cSPI.
`Address`
`getFromAddress()`
Get from address.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`int`
`getSspi()`
Get sSPI.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setCiphers(Dictionary ciphers)`
Set ciphers.
`void`
`setCspi(Buffer cspi)`
Set cSPI.
`void`
`setFromAddress(Address from)`
Set from address.
`void`
`setSspi(int sspi)`
Set sSPI.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getCiphers

Dictionary getCiphers()
Get ciphers.

Returns:
  a `Dictionary` object.

### setCiphers

void setCiphers(Dictionary ciphers)
Set ciphers.

Parameters:
  `ciphers` - the ciphers to set.

### getCspi

Buffer getCspi()
Get cSPI.

Returns:
  a `Address` object.

### setCspi

void setCspi(Buffer cspi)
Set cSPI.

Parameters:
  `cspi` - the address to set.

### getFromAddress

Address getFromAddress()
Get from address.

Returns:
  a `Address` object.

### setFromAddress

void setFromAddress(Address from)
Set from address.

Parameters:
  `from` - the address to set.

### getSspi

int getSspi()
Get sSPI.

Returns:
  a 16-bits unsigned int representing the sSPI.

### setSspi

void setSspi(int sspi)
Set sSPI.

Parameters:
  `sspi` - the sspi to set.

### addCipher

void addCipher(String to, Buffer cipher)
Add a cipher to the chipher map.

Parameters:
  `to` - the address to set.
  `cipher` - the cipher to set.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`